Page MenuHomeFreeBSD

multimedia/vlc: fix build with FREERDP option ON: incompatible function pointer types
ClosedPublic

Authored by vvd on May 3 2024, 12:25 AM.
Referenced Files
Unknown Object (File)
Sun, Jun 23, 2:17 AM
Unknown Object (File)
May 11 2024, 11:39 AM
Unknown Object (File)
May 5 2024, 9:58 PM
Subscribers
None

Details

Summary

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=278706

Build log:

access/rdp.c:238:39: error: incompatible function pointer types assigning to 'pDesktopResize' (aka 'int (*)(struct rdp_context *)') from 'void (rdpContext *)' (aka 'void (struct rdp_context *)') [-Wincompatible-function-pointer-types]
  238 |     p_instance->update->DesktopResize = desktopResizeHandler;
      |                                       ^ ~~~~~~~~~~~~~~~~~~~~
access/rdp.c:239:36: error: incompatible function pointer types assigning to 'pBeginPaint' (aka 'int (*)(struct rdp_context *)') from 'void (rdpContext *)' (aka 'void (struct rdp_context *)') [-Wincompatible-function-pointer-types]
  239 |     p_instance->update->BeginPaint = beginPaintHandler;
      |                                    ^ ~~~~~~~~~~~~~~~~~
access/rdp.c:240:34: error: incompatible function pointer types assigning to 'pEndPaint' (aka 'int (*)(struct rdp_context *)') from 'void (rdpContext *)' (aka 'void (struct rdp_context *)') [-Wincompatible-function-pointer-types]
  240 |     p_instance->update->EndPaint = endPaintHandler;
      |                                  ^ ~~~~~~~~~~~~~~~

access/rdp.c:427:35: error: incompatible function pointer types assigning to 'pPreConnect' (aka 'int (*)(struct rdp_freerdp *)') from 'bool (freerdp *)' (aka 'bool (struct rdp_freerdp *)') [-Wincompatible-function-pointer-types]
  427 |     p_sys->p_instance->PreConnect = preConnectHandler;
      |                                   ^ ~~~~~~~~~~~~~~~~~
access/rdp.c:428:36: error: incompatible function pointer types assigning to 'pPostConnect' (aka 'int (*)(struct rdp_freerdp *)') from 'bool (freerdp *)' (aka 'bool (struct rdp_freerdp *)') [-Wincompatible-function-pointer-types]
  428 |     p_sys->p_instance->PostConnect = postConnectHandler;
      |                                    ^ ~~~~~~~~~~~~~~~~~~
access/rdp.c:429:37: error: incompatible function pointer types assigning to 'pAuthenticate' (aka 'int (*)(struct rdp_freerdp *, char **, char **, char **)') from 'bool (freerdp *, char **, char **, char **)' (aka 'bool (struct rdp_freerdp *, char **, char **, char **)') [-Wincompatible-function-pointer-types]
  429 |     p_sys->p_instance->Authenticate = authenticateHandler;
      |                                     ^ ~~~~~~~~~~~~~~~~~~~

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

vvd requested review of this revision.May 3 2024, 12:25 AM
vvd created this revision.

Or we can patch modules/access/rdp.c:

diff -ur multimedia/vlc/files/patch-modules_access_rdp.c.orig multimedia/vlc/files/patch-modules_access_rdp.c
--- multimedia/vlc/files/patch-modules_access_rdp.c.orig
+++ multimedia/vlc/files/patch-modules_access_rdp.c
@@ -1,4 +1,4 @@
---- modules/access/rdp.c.orig  2016-07-22 12:10:45 UTC
+--- modules/access/rdp.c.orig  2023-02-11 09:33:17 UTC
 +++ modules/access/rdp.c
 @@ -45,18 +45,6 @@
  # include <freerdp/version.h>
@@ -19,7 +19,13 @@
  #include <errno.h>
  #ifdef HAVE_POLL
  # include <poll.h>
-@@ -140,6 +128,7 @@ static void desktopResizeHandler( rdpCon
+@@ -139,11 +127,12 @@ typedef struct vlcrdp_context_t vlcrdp_context_t;
+
+ /* updates handlers */
+
+-static void desktopResizeHandler( rdpContext *p_context )
++static int desktopResizeHandler( rdpContext *p_context )
+ {
      vlcrdp_context_t * p_vlccontext = (vlcrdp_context_t *) p_context;
      demux_sys_t *p_sys = p_vlccontext->p_demux->p_sys;
      rdpGdi *p_gdi = p_context->gdi;
@@ -27,7 +33,7 @@

      if ( p_sys->es )
      {
-@@ -149,17 +138,21 @@ static void desktopResizeHandler( rdpCon
+@@ -153,17 +142,21 @@ static void desktopResizeHandler( rdpContext *p_contex

      /* Now init and fill es format */
      vlc_fourcc_t i_chroma;
@@ -53,7 +59,7 @@
              break;
      }
      es_format_t fmt;
-@@ -172,7 +165,7 @@ static void desktopResizeHandler( rdpCon
+@@ -176,7 +169,7 @@ static void desktopResizeHandler( rdpContext *p_contex
      fmt.video.i_height = p_gdi->height;
      fmt.video.i_frame_rate_base = 1000;
      fmt.video.i_frame_rate = 1000 * p_sys->f_fps;
@@ -62,9 +68,57 @@

      if ( p_sys->p_block )
          p_sys->p_block = block_Realloc( p_sys->p_block, 0, p_sys->i_framebuffersize );
-@@ -233,28 +226,19 @@ static bool postConnectHandler( freerdp
+@@ -184,9 +177,10 @@ static void desktopResizeHandler( rdpContext *p_contex
+         p_sys->p_block = block_Alloc( p_sys->i_framebuffersize );
+
+     p_sys->es = es_out_Add( p_vlccontext->p_demux->out, &fmt );
++    return 0;
+ }
+
+-static void beginPaintHandler( rdpContext *p_context )
++static int beginPaintHandler( rdpContext *p_context )
+ {
+     vlcrdp_context_t * p_vlccontext = (vlcrdp_context_t *) p_context;
+     demux_sys_t *p_sys = p_vlccontext->p_demux->p_sys;
+@@ -195,9 +189,10 @@ static void beginPaintHandler( rdpContext *p_context )
+     p_gdi->primary->hdc->hwnd->ninvalid = 0;
+     if ( ! p_sys->p_block && p_sys->i_framebuffersize )
+         p_sys->p_block = block_Alloc( p_sys->i_framebuffersize );
++    return 0;
+ }
+
+-static void endPaintHandler( rdpContext *p_context )
++static int endPaintHandler( rdpContext *p_context )
+ {
+     vlcrdp_context_t * p_vlccontext = (vlcrdp_context_t *) p_context;
+     demux_sys_t *p_sys = p_vlccontext->p_demux->p_sys;
+@@ -208,11 +203,12 @@ static void endPaintHandler( rdpContext *p_context )
+         p_sys->p_block->i_buffer = p_sys->i_framebuffersize;
+         memcpy( p_sys->p_block->p_buffer, p_gdi->primary_buffer, p_sys->p_block->i_buffer );
+     }
++    return 0;
+ }
+
+ /* instance handlers */
+
+-static bool preConnectHandler( freerdp *p_instance )
++static int preConnectHandler( freerdp *p_instance )
+ {
      vlcrdp_context_t * p_vlccontext = (vlcrdp_context_t *) p_instance->context;
+     demux_sys_t *p_sys = p_vlccontext->p_demux->p_sys;
+@@ -229,49 +225,40 @@ static bool preConnectHandler( freerdp *p_instance )
+     p_instance->settings->EncryptionMethods =
+             var_InheritBool( p_vlccontext->p_demux, CFG_PREFIX "encrypt" );

+-    return true;
++    return 0;
+ }
+
+-static bool postConnectHandler( freerdp *p_instance )
++static int postConnectHandler( freerdp *p_instance )
+ {
+     vlcrdp_context_t * p_vlccontext = (vlcrdp_context_t *) p_instance->context;
+
      msg_Dbg( p_vlccontext->p_demux, "connected to desktop %dx%d (%d bpp)",
 -#if defined(FREERDP_VERSION_MAJOR) && (FREERDP_VERSION_MAJOR > 1 || (FREERDP_VERSION_MAJOR == 1 && FREERDP_VERSION_MINOR >= 1))
               p_instance->settings->DesktopWidth,
@@ -94,8 +148,24 @@
 +        gdi_init( p_instance, PIXEL_FORMAT_RGB16);

      desktopResizeHandler( p_instance->context );
-     return true;
-@@ -428,10 +412,6 @@ static int Open( vlc_object_t *p_this )
+-    return true;
++    return 0;
+ }
+
+-static bool authenticateHandler( freerdp *p_instance, char** ppsz_username,
++static int authenticateHandler( freerdp *p_instance, char** ppsz_username,
+                                  char** ppsz_password, char** ppsz_domain )
+ {
+     VLC_UNUSED(ppsz_domain);
+     vlcrdp_context_t * p_vlccontext = (vlcrdp_context_t *) p_instance->context;
+     *ppsz_username = var_InheritString( p_vlccontext->p_demux, CFG_PREFIX "user" );
+     *ppsz_password = var_InheritString( p_vlccontext->p_demux, CFG_PREFIX "password" );
+-    return true;
++    return 0;
+ }
+
+ /*****************************************************************************
+@@ -432,10 +419,6 @@ static int Open( vlc_object_t *p_this )
      if ( p_sys->f_fps <= 0 ) p_sys->f_fps = 1.0;
      p_sys->i_frame_interval = 1000000 / p_sys->f_fps;

@@ -106,7 +176,7 @@
      p_sys->p_instance = freerdp_new();
      if ( !p_sys->p_instance )
      {
-@@ -506,9 +486,6 @@ static void Close( vlc_object_t *p_this
+@@ -512,9 +495,6 @@ static void Close( vlc_object_t *p_this )

      freerdp_disconnect( p_sys->p_instance );
      freerdp_free( p_sys->p_instance );

But I don't know what use return 0 or return 1.

Also (offtopic) typo in commit https://cgit.freebsd.org/ports/commit/?id=b3d74dbfa9ecc3843788043679c70963f50ea8de

-                --disable-mpg123--disable-vnc --disable-opencv \
+                --disable-mpg123 --disable-vnc --disable-opencv \

And build on live system silently gab libsrt.so:www/srt, libaribb24.so:multimedia/aribb24 and libabsl*.so:devel/abseil:

Error: /usr/local/lib/vlc/plugins/access/libaccess_srt_plugin.so is linked to /usr/local/lib/libsrt.so.1.5 from www/srt but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libsrt.so:www/srt
Error: /usr/local/lib/vlc/plugins/codec/libaribsub_plugin.so is linked to /usr/local/lib/libaribb24.so.0 from multimedia/aribb24 but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libaribb24.so:multimedia/aribb24
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_log_internal_check_op.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_log_internal_check_op.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_leak_check.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_leak_check.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_die_if_null.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_die_if_null.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_log_internal_conditions.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_log_internal_conditions.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_log_internal_message.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_log_internal_message.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_examine_stack.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_examine_stack.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_log_internal_format.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_log_internal_format.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_log_internal_proto.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_log_internal_proto.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_log_internal_nullguard.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_log_internal_nullguard.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_log_internal_log_sink_set.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_log_internal_log_sink_set.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_log_sink.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_log_sink.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_log_entry.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_log_entry.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_flags.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_flags.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_flags_internal.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_flags_internal.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_flags_marshalling.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_flags_marshalling.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_flags_reflection.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_flags_reflection.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_flags_private_handle_accessor.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_flags_private_handle_accessor.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_flags_commandlineflag.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_flags_commandlineflag.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_flags_commandlineflag_internal.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_flags_commandlineflag_internal.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_flags_config.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_flags_config.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_flags_program_name.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_flags_program_name.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_log_initialize.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_log_initialize.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_log_globals.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_log_globals.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_log_internal_globals.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_log_internal_globals.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_hash.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_hash.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_city.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_city.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_low_level_hash.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_low_level_hash.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_raw_hash_set.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_raw_hash_set.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_hashtablez_sampler.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_hashtablez_sampler.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_statusor.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_statusor.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_status.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_status.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_cord.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_cord.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_cordz_info.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_cordz_info.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_cord_internal.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_cord_internal.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_cordz_functions.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_cordz_functions.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_exponential_biased.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_exponential_biased.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_cordz_handle.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_cordz_handle.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_crc_cord_state.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_crc_cord_state.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_crc32c.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_crc32c.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_crc_internal.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_crc_internal.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_crc_cpu_detect.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_crc_cpu_detect.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_bad_optional_access.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_bad_optional_access.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_str_format_internal.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_str_format_internal.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_strerror.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_strerror.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_synchronization.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_synchronization.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_graphcycles_internal.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_graphcycles_internal.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_stacktrace.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_stacktrace.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_symbolize.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_symbolize.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_debugging_internal.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_debugging_internal.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_demangle_internal.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_demangle_internal.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_malloc_internal.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_malloc_internal.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_time.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_time.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_civil_time.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_civil_time.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_time_zone.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_time_zone.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_bad_variant_access.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_bad_variant_access.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_strings.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_strings.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_strings_internal.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_strings_internal.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_base.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_base.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_spinlock_wait.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_spinlock_wait.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_int128.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_int128.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_throw_delegate.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_throw_delegate.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_raw_logging_internal.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_raw_logging_internal.so:devel/abseil
Error: /usr/local/lib/vlc/plugins/stream_out/libstream_out_chromecast_plugin.so is linked to /usr/local/lib/libabsl_log_severity.so.2301.0.0 from devel/abseil but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libabsl_log_severity.so:devel/abseil

Testing in poudriere.

libsrt.so:www/srt and libaribb24.so:multimedia/aribb24: --disable-srt --disable-aribsub --disable-aribb25.
libabsl*.so:devel/abseil from libprotobuf-lite.so:devel/protobuf from option CHROMECAST.

In D45071#1029790, @vvd wrote:

libabsl*.so:devel/abseil from libprotobuf-lite.so:devel/protobuf from option CHROMECAST.

CHROMECAST_LIB_DEPENDS+=libabsl_base.so:devel/abseil

This revision was not accepted when it landed; it landed in state Needs Review.May 11 2024, 11:39 AM
This revision was automatically updated to reflect the committed changes.